#!/bin/sh

# MySQL database setup
mysql_host=localhost       #MySQL host
mysql_user=fido            #MySQL user
mysql_password=fido        #MySQL password
db=fido                    #MySQL name of fido database
table=fido_point           #MySQL point table in fido database

# FTN path
point_list=/chroot/ftn/var/spool/ftn/nodelist/5022-063.PNT        #Pointlist file                (auto-generated)
binkd_pnt_pwd_file=/chroot/ftn/etc/binkd/binkd.pnt                #BinkD point password's file   (auto-generated)
hpt_pnt_file=/chroot/ftn/etc/hpt/points                           #Part of HPT point link config (auto-generated)
rntrack_pnt_pwd_file=/chroot/ftn/etc/ftn/rntrack.passwd           #RNTRACK point password's file (auto-generated)
qico_pnt_pwd_file=/chroot/ftn/etc/ftn/qico.passwd                 #QICO point password's file    (auto-generated)
point_keeper_dlo_file=/chroot/ftn/var/spool/ftn/outb/139e0002.dlo #Outbound file for Pointlist keeper


#######################################################################################################################################################################################
#######################################################################################################################################################################################
#######################################################################################################################################################################################
#######################################################################################################################################################################################

user_uid=` mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select uid   from $table where email_check='Y' and admin_accept='Y' and configure='N' limit 1 " $db `

if [ $user_uid ]; then

 address=`mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select address	from $table where uid='$user_uid' " $db `

 #######################################################################################################################################################################################
 ### Clearing config
 #######################################################################################################################################################################################
 echo >$binkd_pnt_pwd_file
 echo >$hpt_pnt_file
 echo >$rntrack_pnt_pwd_file
 echo >$qico_pnt_pwd_file
 #######################################################################################################################################################################################


 #######################################################################################################################################################################################
 ### Generating pointlist header
 #######################################################################################################################################################################################
 echo ";Header                                                          "	 >$point_list
 echo ";S  STATION:   VIRUS BBS          |  WELCOME NEW POINT          |"	>>$point_list
 echo ";S  SYSOP:     ANDREY BYKANOV     |---------------------------- |"	>>$point_list
 echo ";S  TEL:       (4872) 47-95-91    | IP Line: TTK,Corbina,Altair |"	>>$point_list
 echo ";S  WORK TIME: 23:00-07:30(Modem) | IP Time: CM                 |"	>>$point_list
 echo "Boss,2:5022/63                                                   "	>>$point_list
 #######################################################################################################################################################################################


 #######################################################################################################################################################################################
 ### Generating pointlist
 #######################################################################################################################################################################################
 mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select uid   from $table where email_check='Y' and admin_accept='Y'  group by address  " $db | while read line ; do
  echo `mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select CONCAT_WS(',',
  'Point',
  SUBSTRING(address,(instr(address,'.')+1),4),
  REPLACE(trim(station),' ','_'),
  REPLACE(REPLACE(trim(city),' ','_'),'-','_'),
  REPLACE(trim(sysop_name),' ','_'),
  '-Unpublished-',
  '9600',
  'XX',
  'V32B',
  'V42B'
  ) as str from $table where uid='$line'" $db ` 			>>$point_list
 #######################################################################################################################################################################################


 #######################################################################################################################################################################################
 ### Generate Bink passwd file 
 #######################################################################################################################################################################################
  echo `mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select CONCAT_WS(' ',
  'node',
  trim(address),
  '-',
  REPLACE(trim(passw),' ','_')
  ) as str from $table where uid='$line'" $db ` 			>>$binkd_pnt_pwd_file
 #######################################################################################################################################################################################


 #######################################################################################################################################################################################
 ### Generate rntrack passwd file 
 #######################################################################################################################################################################################
  echo 'Password: "'`mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select CONCAT_WS('\"          ',substr(trim(passw),1,8),trim(address)
    ) as str from $table where uid='$line'" $db `                         >>$rntrack_pnt_pwd_file
 #######################################################################################################################################################################################


 #######################################################################################################################################################################################
 ### Generate qico passwd file 
 #######################################################################################################################################################################################
  echo password `mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select CONCAT_WS(' ',
  trim(address),REPLACE(trim(passw),' ','_')
  ) as str from $table where uid='$line'" $db ` 			>>$qico_pnt_pwd_file
 #######################################################################################################################################################################################


 #######################################################################################################################################################################################
 ### Generate HPT point file 
 #######################################################################################################################################################################################
  echo "link                             " `mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select address	from $table where uid='$line' " $db `	>>$hpt_pnt_file
  echo "AKA                              " `mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select address	from $table where uid='$line' " $db `	>>$hpt_pnt_file
  echo "ouraka     2:5022/63             "																	>>$hpt_pnt_file
  echo "AccessGrp  A,B,C,D,E,F,G,H,Z,M   "																	>>$hpt_pnt_file
  echo "password                         " `mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select passw	from $table where uid='$line' " $db `		>>$hpt_pnt_file
  echo "areafixpwd                       " `mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select passw	from $table where uid='$line' " $db `		>>$hpt_pnt_file
  echo "allowemptypktpwd on              "																	>>$hpt_pnt_file
  echo "areafixautocreate off            "																	>>$hpt_pnt_file
  echo "sendNotifyMessages on            "																	>>$hpt_pnt_file
  echo "                                 "																	>>$hpt_pnt_file
  echo "                                 "																	>>$hpt_pnt_file
 #######################################################################################################################################################################################


 done

 #######################################################################################################################################################################################
 ### Sending pointlist file 
 #######################################################################################################################################################################################
 echo                                        >>$point_keeper_dlo_file
 echo $point_list                            >>$point_keeper_dlo_file
 #######################################################################################################################################################################################


address=`mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse " select address	from $table where uid='$user_uid' " $db `

#######################################################################################################################################################################################
### After generate process
#######################################################################################################################################################################################

chroot /chroot/ftn hpt afix $address +63.local
chroot /chroot/ftn hpt afix $address +63.local.tech
cat $point_list | chroot /chroot/ftn hpt post -x -nf "Stat Robot" -nt "All" -s "My Pointlist Update"  -e "63.local.tech" -

chroot /chroot/ftn qico -n
#######################################################################################################################################################################################

mysql -h $mysql_host -u $mysql_user --password=$mysql_password -sse "update $table set configure='Y' where uid='$user_uid' " $db

fi